Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.output
Class TableData

    java.lang.Object
      org.mindswap.pellet.output.TableData

    public class TableData

extends java.lang.Object

Create a table data structure that has a list of column names and list of data rows. The only function of this class is to print the data in a table format. Data can be given at once by the constructor or can be added incrementally with the addRow function.

Author:
  Evren Sirin

Constructor Summary
`TableData(java.util.Collection data, java.util.List colNames)`
`TableData(java.util.List colNames)`
`TableData(java.lang.String[] colNames)`

Method Summary
`void` | `add(java.util.List row)`
`void` | `addRow(java.util.List row)` Deprecated. Use `add(List)` instead
`int` | `getColCount()`
`int` | `getRowCount()`
`void` | `print(OutputFormatter out)`
`void` | `print(java.io.OutputStream writer)`
`void` | `print(java.io.OutputStream writer, boolean formatHTML)`
`void` | `print(java.io.Writer writer)`
`void` | `print(java.io.Writer writer, boolean formatHTML)`
`void` | `setAlignment(boolean[] rightAligned)`
`void` | `setrightAligned(int colIndex, boolean rightAligned)`
`void` | `sort(int col)`
`void` | `sort(int col, java.util.Comparator c)`
`void` | `sort(java.lang.String colName)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TableData

    public TableData(java.util.Collection data,
                     java.util.List colNames)

### TableData

    public TableData(java.util.List colNames)

### TableData

    public TableData(java.lang.String[] colNames)

Method Detail

### setAlignment

    public void setAlignment(boolean[] rightAligned)

### setrightAligned

    public void setrightAligned(int colIndex,
                                boolean rightAligned)

### addRow

    public void addRow(java.util.List row)

  Deprecated. Use `add(List)` instead

### add

    public void add(java.util.List row)

### print

    public void print(OutputFormatter out)

### print

    public void print(java.io.OutputStream writer)

### print

    public void print(java.io.Writer writer)

### print

    public void print(java.io.OutputStream writer,
                      boolean formatHTML)

### print

    public void print(java.io.Writer writer,
                      boolean formatHTML)

### getRowCount

    public int getRowCount()

### getColCount

    public int getColCount()

### sort

    public void sort(java.lang.String colName)

### sort

    public void sort(int col)

### sort

    public void sort(int col,
                     java.util.Comparator c)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.